bumps(6)

NAME
bumps - move distorting spotlight around desktop

SYNOPSIS
bumps [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number] [--mono] [--install] [--visual visual] [--delay usecs] [--duration secs] [--fps]

DESCRIPTION
The bumps program takes an image and exposes small, distorted sections of it as if through an odd wandering spotlight beam. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-settings(1) for more details.

OPTIONS
bumps accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay microseconds
    Slow it down.

--duration seconds
    How long to run before loading a new image. Default 120 seconds.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(6)

COPYRIGHT
Copyright © 1999 by Shane Smit. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

CREDITS
Shane Smit <blackend@inconnect.com>, 8-Oct-1999.